Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class PriceComparator

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.PriceComparator

All Implemented Interfaces
  Serializable, Comparator

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PriceComparator

extends Object
implements Comparator, Serializable

This class is used in conjunction with java.util.Collection and ItemObjects to compare them by current price.

See Also
  Serialized Form

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`PriceComparator()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compare(Object objectA, Object objectB)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object object)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### PriceComparator

    public PriceComparator()

  Deprecated See BEA Commerce product offering

Method Detail

### compare

    public int compare(Object objectA,
                       Object objectB)

  Deprecated See BEA Commerce product offering

  Specified by:
    `compare` in interface `Comparator`
  Throws
    `ClassCastException` - if objects are not `ItemObject`s.

### equals

    public boolean equals(Object object)

  Deprecated See BEA Commerce product offering

  Specified by:
    `equals` in interface `Comparator`
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved